Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] postgresql14: update to 14.2.
@ 2022-04-19 18:25 TinfoilSubmarine
  2022-04-19 18:52 ` [PR PATCH] [Updated] " TinfoilSubmarine
                   ` (7 more replies)
  0 siblings, 8 replies; 9+ messages in thread
From: TinfoilSubmarine @ 2022-04-19 18:25 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1298 bytes --]

There is a new pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages pg142
https://github.com/void-linux/void-packages/pull/36770

postgresql14: update to 14.2.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: 
postgresql14: **YES**
postgis-postgresql14: **NO**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/36770.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-pg142-36770.patch --]
[-- Type: text/x-diff, Size: 2312 bytes --]

From aa02632237f3941a768e16c14f627b3cda9fb0bb Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Tue, 19 Apr 2022 14:16:51 -0400
Subject: [PATCH 1/2] postgresql14: update to 14.2.

---
 srcpkgs/postgresql14/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/postgresql14/template b/srcpkgs/postgresql14/template
index 94ba16bffbc6..44401317eab3 100644
--- a/srcpkgs/postgresql14/template
+++ b/srcpkgs/postgresql14/template
@@ -1,6 +1,6 @@
 # Template file for 'postgresql14'
 pkgname=postgresql14
-version=14.1
+version=14.2
 revision=1
 wrksrc="postgresql-${version}"
 build_style=gnu-configure
@@ -22,7 +22,7 @@ license="PostgreSQL"
 homepage="https://www.postgresql.org"
 changelog="https://www.postgresql.org/docs/current/release-${version//./-}.html"
 distfiles="https://ftp.postgresql.org/pub/source/v${version}/postgresql-${version}.tar.bz2"
-checksum=4d3c101ea7ae38982f06bdc73758b53727fb6402ecd9382006fa5ecc7c2ca41f
+checksum=2cf78b2e468912f8101d695db5340cf313c2e9f68a612fb71427524e8c9a977a
 
 conf_files="
  /${_sysconfdir}/default/postgresql

From 562be7527bc2c640bd9e225abba9474d6dd32b11 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Tue, 19 Apr 2022 14:16:59 -0400
Subject: [PATCH 2/2] postgis-postgresql14: update to 3.2.1.

---
 srcpkgs/postgis-postgresql14/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/postgis-postgresql14/template b/srcpkgs/postgis-postgresql14/template
index 6ce4231b1726..d65c09c09bcf 100644
--- a/srcpkgs/postgis-postgresql14/template
+++ b/srcpkgs/postgis-postgresql14/template
@@ -1,6 +1,6 @@
 # Template file for 'postgis-postgresql14'
 pkgname=postgis-postgresql14
-version=3.1.4
+version=3.2.1
 revision=1
 wrksrc="postgis-${version}"
 build_style=gnu-configure
@@ -20,7 +20,7 @@ license="GPL-2.0-or-later"
 homepage="https://postgis.net/"
 changelog="https://git.osgeo.org/gitea/postgis/postgis/raw/tag/${version}/NEWS"
 distfiles="https://download.osgeo.org/postgis/source/postgis-${version}.tar.gz"
-checksum=dc8e3fe8bc532e422f5d724c5a7c437f6555511716f6410d4d2db9762e1a3796
+checksum=fbab68dde6ca3934b24ba08c8ab0cff2594f57f93deab41a15c82ae1bb69893e
 nocross="FIXME: Cannot run test program to determine PROJ version"
 
 pre_configure() {

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: [PR PATCH] [Updated] postgresql14: update to 14.2.
  2022-04-19 18:25 [PR PATCH] postgresql14: update to 14.2 TinfoilSubmarine
@ 2022-04-19 18:52 ` TinfoilSubmarine
  2022-04-19 19:00 ` Chocimier
                   ` (6 subsequent siblings)
  7 siblings, 0 replies; 9+ messages in thread
From: TinfoilSubmarine @ 2022-04-19 18:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1303 bytes --]

There is an updated pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages pg142
https://github.com/void-linux/void-packages/pull/36770

postgresql14: update to 14.2.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: 
postgresql14: **YES**
postgis-postgresql14: **NO**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->


A patch file from https://github.com/void-linux/void-packages/pull/36770.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-pg142-36770.patch --]
[-- Type: text/x-diff, Size: 2443 bytes --]

From 7c82d9e27277ac3cb5326d380c59e9f56496e1fa Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Tue, 19 Apr 2022 14:16:51 -0400
Subject: [PATCH 1/2] postgresql14: update to 14.2.

disable check for CI since initdb fails.
---
 srcpkgs/postgresql14/template | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/postgresql14/template b/srcpkgs/postgresql14/template
index 94ba16bffbc6..b7b7cec4e657 100644
--- a/srcpkgs/postgresql14/template
+++ b/srcpkgs/postgresql14/template
@@ -1,6 +1,6 @@
 # Template file for 'postgresql14'
 pkgname=postgresql14
-version=14.1
+version=14.2
 revision=1
 wrksrc="postgresql-${version}"
 build_style=gnu-configure
@@ -22,7 +22,9 @@ license="PostgreSQL"
 homepage="https://www.postgresql.org"
 changelog="https://www.postgresql.org/docs/current/release-${version//./-}.html"
 distfiles="https://ftp.postgresql.org/pub/source/v${version}/postgresql-${version}.tar.bz2"
-checksum=4d3c101ea7ae38982f06bdc73758b53727fb6402ecd9382006fa5ecc7c2ca41f
+checksum=2cf78b2e468912f8101d695db5340cf313c2e9f68a612fb71427524e8c9a977a
+# initdb fails on github actions, works locally with xbps-uunshare
+make_check=ci-skip
 
 conf_files="
  /${_sysconfdir}/default/postgresql

From d00692e287aca8ef239db587b56d3409abefbfd5 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Tue, 19 Apr 2022 14:16:59 -0400
Subject: [PATCH 2/2] postgis-postgresql14: update to 3.2.1.

---
 srcpkgs/postgis-postgresql14/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/postgis-postgresql14/template b/srcpkgs/postgis-postgresql14/template
index 6ce4231b1726..d65c09c09bcf 100644
--- a/srcpkgs/postgis-postgresql14/template
+++ b/srcpkgs/postgis-postgresql14/template
@@ -1,6 +1,6 @@
 # Template file for 'postgis-postgresql14'
 pkgname=postgis-postgresql14
-version=3.1.4
+version=3.2.1
 revision=1
 wrksrc="postgis-${version}"
 build_style=gnu-configure
@@ -20,7 +20,7 @@ license="GPL-2.0-or-later"
 homepage="https://postgis.net/"
 changelog="https://git.osgeo.org/gitea/postgis/postgis/raw/tag/${version}/NEWS"
 distfiles="https://download.osgeo.org/postgis/source/postgis-${version}.tar.gz"
-checksum=dc8e3fe8bc532e422f5d724c5a7c437f6555511716f6410d4d2db9762e1a3796
+checksum=fbab68dde6ca3934b24ba08c8ab0cff2594f57f93deab41a15c82ae1bb69893e
 nocross="FIXME: Cannot run test program to determine PROJ version"
 
 pre_configure() {

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: postgresql14: update to 14.2.
  2022-04-19 18:25 [PR PATCH] postgresql14: update to 14.2 TinfoilSubmarine
  2022-04-19 18:52 ` [PR PATCH] [Updated] " TinfoilSubmarine
@ 2022-04-19 19:00 ` Chocimier
  2022-04-19 19:14 ` [PR PATCH] [Updated] " TinfoilSubmarine
                   ` (5 subsequent siblings)
  7 siblings, 0 replies; 9+ messages in thread
From: Chocimier @ 2022-04-19 19:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 200 bytes --]

New comment by Chocimier on void-packages repository

https://github.com/void-linux/void-packages/pull/36770#issuecomment-1102984505

Comment:
Postgis 3.2.0 was buggy, please test or exclude from PR.

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: [PR PATCH] [Updated] postgresql14: update to 14.2.
  2022-04-19 18:25 [PR PATCH] postgresql14: update to 14.2 TinfoilSubmarine
  2022-04-19 18:52 ` [PR PATCH] [Updated] " TinfoilSubmarine
  2022-04-19 19:00 ` Chocimier
@ 2022-04-19 19:14 ` TinfoilSubmarine
  2022-04-19 19:14 ` TinfoilSubmarine
                   ` (4 subsequent siblings)
  7 siblings, 0 replies; 9+ messages in thread
From: TinfoilSubmarine @ 2022-04-19 19:14 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1550 bytes --]

There is an updated pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages pg142
https://github.com/void-linux/void-packages/pull/36770

postgresql14: update to 14.2.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: 
postgresql14: **YES**
postgis-postgresql14: **NO**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->

Checks work locally on x86_64, i686 and x86_64-musl. Set `make_check=ci-skip` since this sounds like the same problem as in https://github.com/void-linux/void-packages/blob/b4eac76aff55cda5326e108b49a855fd11a944fa/srcpkgs/postgresql/template#L22

A patch file from https://github.com/void-linux/void-packages/pull/36770.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-pg142-36770.patch --]
[-- Type: text/x-diff, Size: 1239 bytes --]

From 5f8c0be6cd0cd43f7f6dce06ece8a2bd2c0c9114 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Tue, 19 Apr 2022 14:16:51 -0400
Subject: [PATCH] postgresql14: update to 14.2.

disable check for CI since initdb fails.
---
 srcpkgs/postgresql14/template | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/postgresql14/template b/srcpkgs/postgresql14/template
index 94ba16bffbc6..b7b7cec4e657 100644
--- a/srcpkgs/postgresql14/template
+++ b/srcpkgs/postgresql14/template
@@ -1,6 +1,6 @@
 # Template file for 'postgresql14'
 pkgname=postgresql14
-version=14.1
+version=14.2
 revision=1
 wrksrc="postgresql-${version}"
 build_style=gnu-configure
@@ -22,7 +22,9 @@ license="PostgreSQL"
 homepage="https://www.postgresql.org"
 changelog="https://www.postgresql.org/docs/current/release-${version//./-}.html"
 distfiles="https://ftp.postgresql.org/pub/source/v${version}/postgresql-${version}.tar.bz2"
-checksum=4d3c101ea7ae38982f06bdc73758b53727fb6402ecd9382006fa5ecc7c2ca41f
+checksum=2cf78b2e468912f8101d695db5340cf313c2e9f68a612fb71427524e8c9a977a
+# initdb fails on github actions, works locally with xbps-uunshare
+make_check=ci-skip
 
 conf_files="
  /${_sysconfdir}/default/postgresql

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: postgresql14: update to 14.2.
  2022-04-19 18:25 [PR PATCH] postgresql14: update to 14.2 TinfoilSubmarine
                   ` (2 preceding siblings ...)
  2022-04-19 19:14 ` [PR PATCH] [Updated] " TinfoilSubmarine
@ 2022-04-19 19:14 ` TinfoilSubmarine
  2022-05-07 21:49 ` Chocimier
                   ` (3 subsequent siblings)
  7 siblings, 0 replies; 9+ messages in thread
From: TinfoilSubmarine @ 2022-04-19 19:14 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 255 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/36770#issuecomment-1102997482

Comment:
Don't feel confident in thoroughly testing since I don't have any experience with it, will drop for now.

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: postgresql14: update to 14.2.
  2022-04-19 18:25 [PR PATCH] postgresql14: update to 14.2 TinfoilSubmarine
                   ` (3 preceding siblings ...)
  2022-04-19 19:14 ` TinfoilSubmarine
@ 2022-05-07 21:49 ` Chocimier
  2022-05-13 18:23 ` [PR REVIEW] " paper42
                   ` (2 subsequent siblings)
  7 siblings, 0 replies; 9+ messages in thread
From: Chocimier @ 2022-05-07 21:49 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 576 bytes --]

New comment by Chocimier on void-packages repository

https://github.com/void-linux/void-packages/pull/36770#issuecomment-1120299277

Comment:
Postgresql 9.6 is not released anymore, so it is good time to drop it, update `postgresql` from 9.6 to 14, and clean up binaries location (#35546).

The problem is xbps can't replace regular file with alternative. The best thing possible I see is to make `postgresql` pure meta, keep the ugly `profile.sh` for all series waiting for everyone to update, and switch from profile to alternatives with postgresql 16.

Input welcome.

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: [PR REVIEW] postgresql14: update to 14.2.
  2022-04-19 18:25 [PR PATCH] postgresql14: update to 14.2 TinfoilSubmarine
                   ` (4 preceding siblings ...)
  2022-05-07 21:49 ` Chocimier
@ 2022-05-13 18:23 ` paper42
  2022-05-16 15:56 ` [PR PATCH] [Updated] " TinfoilSubmarine
  2022-05-20 13:53 ` postgresql14: update to 14.3 TinfoilSubmarine
  7 siblings, 0 replies; 9+ messages in thread
From: paper42 @ 2022-05-13 18:23 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 158 bytes --]

New review comment by paper42 on void-packages repository

https://github.com/void-linux/void-packages/pull/36770#discussion_r872663565

Comment:
14.3 is out

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: [PR PATCH] [Updated] postgresql14: update to 14.2.
  2022-04-19 18:25 [PR PATCH] postgresql14: update to 14.2 TinfoilSubmarine
                   ` (5 preceding siblings ...)
  2022-05-13 18:23 ` [PR REVIEW] " paper42
@ 2022-05-16 15:56 ` TinfoilSubmarine
  2022-05-20 13:53 ` postgresql14: update to 14.3 TinfoilSubmarine
  7 siblings, 0 replies; 9+ messages in thread
From: TinfoilSubmarine @ 2022-05-16 15:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1504 bytes --]

There is an updated pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages pg142
https://github.com/void-linux/void-packages/pull/36770

postgresql14: update to 14.2.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please add ci skip tag as described in
https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->

Checks work locally on x86_64, i686 and x86_64-musl. Set `make_check=ci-skip` since this sounds like the same problem as in https://github.com/void-linux/void-packages/blob/b4eac76aff55cda5326e108b49a855fd11a944fa/srcpkgs/postgresql/template#L22

A patch file from https://github.com/void-linux/void-packages/pull/36770.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-pg142-36770.patch --]
[-- Type: text/x-diff, Size: 1239 bytes --]

From cc30e1df5bf109486642ee65e227b36975f0ee5c Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Tue, 19 Apr 2022 14:16:51 -0400
Subject: [PATCH] postgresql14: update to 14.3.

disable check for CI since initdb fails.
---
 srcpkgs/postgresql14/template | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/postgresql14/template b/srcpkgs/postgresql14/template
index 94ba16bffbc6..0fe287c50d49 100644
--- a/srcpkgs/postgresql14/template
+++ b/srcpkgs/postgresql14/template
@@ -1,6 +1,6 @@
 # Template file for 'postgresql14'
 pkgname=postgresql14
-version=14.1
+version=14.3
 revision=1
 wrksrc="postgresql-${version}"
 build_style=gnu-configure
@@ -22,7 +22,9 @@ license="PostgreSQL"
 homepage="https://www.postgresql.org"
 changelog="https://www.postgresql.org/docs/current/release-${version//./-}.html"
 distfiles="https://ftp.postgresql.org/pub/source/v${version}/postgresql-${version}.tar.bz2"
-checksum=4d3c101ea7ae38982f06bdc73758b53727fb6402ecd9382006fa5ecc7c2ca41f
+checksum=279057368bf59a919c05ada8f95c5e04abb43e74b9a2a69c3d46a20e07a9af38
+# initdb fails on github actions, works locally with xbps-uunshare
+make_check=ci-skip
 
 conf_files="
  /${_sysconfdir}/default/postgresql

^ permalink raw reply	[flat|nested] 9+ messages in thread

* Re: postgresql14: update to 14.3.
  2022-04-19 18:25 [PR PATCH] postgresql14: update to 14.2 TinfoilSubmarine
                   ` (6 preceding siblings ...)
  2022-05-16 15:56 ` [PR PATCH] [Updated] " TinfoilSubmarine
@ 2022-05-20 13:53 ` TinfoilSubmarine
  7 siblings, 0 replies; 9+ messages in thread
From: TinfoilSubmarine @ 2022-05-20 13:53 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 665 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/36770#issuecomment-1132928054

Comment:
> The problem is xbps can't replace regular file with alternative. The best thing possible I see is to make `postgresql` pure meta, keep the ugly `profile.sh` for all series waiting for everyone to update, and switch from profile to alternatives with postgresql 16.

This sounds good to me. 

Just for clarification in regards to #35546: the `postgresql` template as written doesn't work because of the xbps limitation?

Do you want to also handle updating `postgresql14` in that, or should I keep this open?

^ permalink raw reply	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2022-05-20 13:53 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2022-04-19 18:25 [PR PATCH] postgresql14: update to 14.2 TinfoilSubmarine
2022-04-19 18:52 ` [PR PATCH] [Updated] " TinfoilSubmarine
2022-04-19 19:00 ` Chocimier
2022-04-19 19:14 ` [PR PATCH] [Updated] " TinfoilSubmarine
2022-04-19 19:14 ` TinfoilSubmarine
2022-05-07 21:49 ` Chocimier
2022-05-13 18:23 ` [PR REVIEW] " paper42
2022-05-16 15:56 ` [PR PATCH] [Updated] " TinfoilSubmarine
2022-05-20 13:53 ` postgresql14: update to 14.3 TinfoilSubmarine

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).